Bug 307321 - PATA, SATA and SCSI in Fedora
PATA, SATA and SCSI in Fedora
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
All Linux
low Severity low
: ---
: ---
Assigned To: Paul W. Frields
Paul W. Frields
:
Depends On:
Blocks: ig-traqr
  Show dependency treegraph
 
Reported: 2007-09-26 12:29 EDT by Gene Czarcinski
Modified: 2009-03-27 09:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 09:32:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2007-09-26 12:29:56 EDT
INCLUDE CHAPTER, SECTION, AND SPECIFIC DETAILS HERE PLEASE.

8.  Upgrading
9.  Partitioning
10.4 Advanced Boot Loader Options

Fedora 7 introduced the new "feature" to handle both PATA and SATA disk drives
with libata which maps all drives (PATA and SATA) into SCSI devices /dev/sdXN. 
If you have a single drive or single type of drive in a system, then this change
is pretty transparent.  However, if you have a mix of PATA and SATA drives on a
system, then it is possible (likely?) that drive ordering (what is sdaN, sdbN,
sdcN, etc.) will be re-ordered from what it would be on a previous sytem with
/dev/hdXN mapping.

This was not addressed in the Fedora 7 guide nor is it addressed in the Fedora 8
guide and I believe that it should be specifically addressed to minimize confusion.

The "solution" turns out to be simple -- change the "boot ordering" under the
Advanced Boot Loader Options.  However, what is not obvious is that the device
mapping will change when the install system is booted from what was seen during
install (anaconda).

For example, I have a system with a single PATA drive and a single SATA drive. 
During install, the PATA drive (which was formally /dev/hda) is /dev/sdb and the
SATA drive (which was /dev/sda) is /dev/sda.  Selecting reordering and
installing the boot loader on /dev/sdb5), everything installs.  When I reboot,
the system has the PATA drive as /dev/sda and the SATA drive as /dev/sdb.

I do not have a system with two PATA drive and a SATA drive so I do not know how
that would map.

In any case, I believe that the guide should address these issues.
Comment 1 Paul W. Frields 2008-07-26 12:58:16 EDT
Anaconda maintainers -- I have no systems available in my home with mixed
PATA/SATA so I can't test this in any way.  Does the anaconda device detection
differ from boot time device detection in a way that this situation can still occur?
Comment 2 Gene Czarcinski 2008-07-28 13:01:30 EDT
Still occurs with Fedora 9
Comment 3 David Nalley 2008-11-21 12:01:19 EST
There is a paragraph that appears to roughly cover this area in bootloader.xml 

Think we can close this given this content? 

    <para>
      You may also need the advanced options if your
      <abbrev>BIOS</abbrev> enumerates your drives or RAID arrays
      differently than &FC; expects. If necessary, select the
      <guibutton>Change Device</guibutton> button and expand the
      <guibutton>BIOS Drive Order</guibutton> selection within
      the Boot loader device dialog to set the order of the
      devices in &FC; to match your BIOS.
    </para>
Comment 4 David Nalley 2009-03-27 09:32:32 EDT
The information we've requested above is required in order
to review this problem report further and diagnose or fix the
issue if it is still present.  Since it has been thirty days or
more since we first requested additional information, we're assuming
the problem is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested,
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.